# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default PEAK Template

game: PEAK
requires:
  version: 0.7.189 # Version of MWGG required for this yaml to work as expected.

PEAK:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  ###################
  # General Options #
  ###################
  goal:
    # Determines the goal of the seed
    # 
    # Reach Peak: Reach the peak on the specified ascent level
    # 
    # Complete All Badges: Collect the specified number of badges
    # 
    # 24 Karat Badge: Toss the Ancient Idol into The Kiln's lava.
    reach_peak: 50
    complete_all_badges: 0
    24_karat_badge: 0

  ascent_count:
    # The ascent level required to complete the Reach Peak goal (0-7)
    # 
    # Higher ascents add more difficulty modifiers and challenges
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 7
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-7: 0 # random value between 0 and 7

  badge_count:
    # The number of badges required to complete the Complete All Badges goal
    # 
    # There are 54 total badges available in the game
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 54
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-54: 0 # random value between 1 and 54

  ###########
  # Stamina #
  ###########
  progressive_stamina:
    # Enable progressive stamina bars
    # 
    # Players start with 25% stamina and unlock 25% more with each upgrade until reaching 100%
    'false': 50
    'true': 0

  additional_stamina_bars:
    # Enable 4 additional stamina bars beyond the base 100%
    # 
    # Allows players to reach up to 200% total stamina (requires Progressive Stamina to be enabled)
    'false': 50
    'true': 0

  #####################
  # Multiplayer Links #
  #####################
  ring_link:
    # When enabled, ring pickups are shared among all players with Ring Link enabled
    # 
    # For PEAK; rings are stamina. Consuming food will send Rings to other players with Ring Link enabled. Poisonous food will send negative rings.
    'false': 50
    'true': 0

  hard_ring_link:
    # When enabled, ring pickups are shared among all players with Hard Ring Link enabled
    # 
    # Similar to Ring Link, but instead of sending rings when consuming food, rings are sent from certain actions and events.
    'false': 50
    'true': 0

  energy_link:
    # When enabled, allows sending and receiving energy from a shared server pool
    # 
    # Players can contribute stamina to help others in need
    'false': 50
    'true': 0

  trap_link:
    # When enabled, traps you receive are also sent to other players with Trap Link enabled
    # 
    # You will also receive any linked traps from other players with Trap Link enabled,
    # if you have a weight above "none" set for that trap
    'false': 50
    'true': 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  death_link_behavior:
    # Determines what happens when a Death Link is received
    # 
    # Kill Random Player: A random player in your lobby will be killed
    # 
    # Reset to Last Checkpoint: All players will be teleported to the last checkpoint/campfire
    kill_random_player: 50
    reset_to_last_checkpoint: 0

  death_link_send_behavior:
    # Determines when Death Links are sent to other players
    # 
    # Any Player Dies: Send Death Link whenever any player in your game dies
    # 
    # All Players Dead: Send Death Link only when all players are dead (game over)
    any_player_dies: 50
    all_players_dead: 0

  #########
  # Traps #
  #########
  trap_percentage:
    # Replace a percentage of junk items in the item pool with random traps
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  instant_death_trap_weight:
    # Likelihood of receiving a trap which instantly kills a player
    none: 0
    low: 0
    medium: 50
    high: 0

  items_to_bombs_weight:
    # Likelihood of receiving a trap which drops the currently held item and replaces it with Dynamite
    none: 0
    low: 0
    medium: 50
    high: 0

  pokemon_trivia_trap_weight:
    # Likelihood of receiving a trap which quizzes the player with Pokemon trivia
    none: 0
    low: 0
    medium: 50
    high: 0

  blackout_trap_weight:
    # Likelihood of receiving a trap which blacks out the player's screen temporarily
    none: 0
    low: 0
    medium: 50
    high: 0

  spawn_bee_swarm_weight:
    # Likelihood of receiving a trap which spawns a swarm of bees
    none: 0
    low: 0
    medium: 50
    high: 0

  banana_peel_trap_weight:
    # Likelihood of receiving a trap which spawns a berrynana peel in front of a player
    none: 0
    low: 0
    medium: 50
    high: 0

  minor_poison_trap_weight:
    # Likelihood of receiving a trap which applies a weak Poison Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  poison_trap_weight:
    # Likelihood of receiving a trap which applies a Poison Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  deadly_poison_trap_weight:
    # Likelihood of receiving a trap which applies a strong Poison Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  tornado_trap_weight:
    # Likelihood of receiving a trap which spawns a tornado on a player
    none: 0
    low: 0
    medium: 50
    high: 0

  swap_trap_weight:
    # Likelihood of receiving a trap which swaps the position of all players
    none: 0
    low: 0
    medium: 50
    high: 0

  nap_time_trap_weight:
    # Likelihood of receiving a trap which applies a Drowsy Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  hungry_hungry_camper_trap_weight:
    # Likelihood of receiving a trap which applies a Hunger Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  balloon_trap_weight:
    # Likelihood of receiving a trap which ties a bundle of balloons to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  slip_trap_weight:
    # Likelihood of receiving a trap which makes a player slip and fall
    none: 0
    low: 0
    medium: 50
    high: 0

  freeze_trap_weight:
    # Likelihood of receiving a trap which applies a Cold Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  cold_trap_weight:
    # Likelihood of receiving a trap which applies a mild Cold Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  hot_trap_weight:
    # Likelihood of receiving a trap which applies a Hot Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  injury_trap_weight:
    # Likelihood of receiving a trap which applies an Injury Affliction to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  cactus_ball_trap_weight:
    # Likelihood of receiving a trap which replaces a players currently held item with a Cactus Ball
    none: 0
    low: 0
    medium: 50
    high: 0

  yeet_trap_weight:
    # Likelihood of receiving a trap which causes a player to throw their currently held item at max force
    none: 0
    low: 0
    medium: 50
    high: 0

  tumbleweed_trap_weight:
    # Likelihood of receiving a trap which spawns a tumbleweed that chases a player
    none: 0
    low: 0
    medium: 50
    high: 0

  zombie_horde_trap_weight:
    # Likelihood of receiving a trap which spawns a horde of mushroom zombies
    none: 0
    low: 0
    medium: 50
    high: 0

  gust_trap_weight:
    # Likelihood of receiving a trap which spawns a wind storm that pushes players around
    none: 0
    low: 0
    medium: 50
    high: 0

  mandrake_trap_weight:
    # Likelihood of receiving a trap which replaces a player's currently held item with a Mandrake
    none: 0
    low: 0
    medium: 50
    high: 0

  fungal_infection_trap_weight:
    # Likelihood of receiving a trap which applies a Spores Affliction over time to a player
    none: 0
    low: 0
    medium: 50
    high: 0

  fear_trap_weight:
    # Likelihood of receiving a spooky trap
    none: 0
    low: 0
    medium: 50
    high: 0

  scoutmaster_trap_weight:
    # Likelihood of receiving a trap which summons the Scoutmaster to hinder a player
    none: 0
    low: 0
    medium: 50
    high: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
